Cabal-1.16.0: A framework for packaging Haskell software

Safe Haskell | None

Distribution.PackageDescription.PrettyPrint

Description

Pretty printing for cabal files

Synopsis

- writeGenericPackageDescription :: FilePath -> GenericPackageDescription -> IO ()
- showGenericPackageDescription :: GenericPackageDescription -> String

# Documentation

writeGenericPackageDescription :: FilePath -> GenericPackageDescription -> IO ()

Writes a .cabal file from a generic package description

showGenericPackageDescription :: GenericPackageDescription -> String

Writes a generic package description to a string